Bug 1300407 - RFE: AUDIT_NETFILTER_PKT events are not normalized
RFE: AUDIT_NETFILTER_PKT events are not normalized
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Paul Moore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 12:13 EST by Steve Grubb
Modified: 2016-06-02 15:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-02 15:44:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2016-01-20 12:13:02 EST
Description of problem:
The AUDIT_NETFILTER_PKT audit events are not normalized. They swing fields in and out based on settings rather than changing the value of the event. Here's one example in ./net/netfilter/xt_AUDIT.c:

        if (ntohs(ih->frag_off) & IP_OFFSET) {
                audit_log_format(ab, " frag=1");
                return;
        }

frag should always be set like:
audit_log_format(ab, " frag=%d", ntohs(ih->frag_off) & IP_OFFSET);


Version-Release number of selected component (if applicable):
4.3.3
Comment 1 Steve Grubb 2016-01-21 15:43:05 EST
There was a discussion upstream about some enhancements that could be made to make iptables based audit events more usable:

https://www.redhat.com/archives/linux-audit/2013-February/msg00020.html
Comment 2 Paul Moore 2016-06-02 15:44:34 EDT
Closing this as we are tracking upstream RFEs on GitHub now:

* https://github.com/linux-audit/audit-kernel/issues/11

Note You need to log in before you can comment on or make changes to this bug.